<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>VotingMaterialCreationProgress</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-object/operation/voting-material/voting-material-creation-progress.po.ts</code>
        </p>





            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>






                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#root">root</a>
                                </li>
                                <li>
                                    <a href="#initializeParametersPanel">initializeParametersPanel</a>
                                </li>
                                <li>
                                    <a href="#sendVotersPanel">sendVotersPanel</a>
                                </li>
                                <li>
                                    <a href="#requestPrivateCredentialsPanel">requestPrivateCredentialsPanel</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>









            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="root"></a>
                        <span class="name"><b>root</b><a href="#root"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>root()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="7" class="link-to-prism">e2e/page-object/operation/voting-material/voting-material-creation-progress.po.ts:7</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="initializeParametersPanel"></a>
                        <span class="name"><b>initializeParametersPanel</b><a href="#initializeParametersPanel"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>initializeParametersPanel()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="11" class="link-to-prism">e2e/page-object/operation/voting-material/voting-material-creation-progress.po.ts:11</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="sendVotersPanel"></a>
                        <span class="name"><b>sendVotersPanel</b><a href="#sendVotersPanel"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>sendVotersPanel()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">e2e/page-object/operation/voting-material/voting-material-creation-progress.po.ts:15</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="requestPrivateCredentialsPanel"></a>
                        <span class="name"><b>requestPrivateCredentialsPanel</b><a href="#requestPrivateCredentialsPanel"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>requestPrivateCredentialsPanel()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">e2e/page-object/operation/voting-material/voting-material-creation-progress.po.ts:19</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { by, element, ElementFinder } from &#x27;protractor&#x27;;
import { MatExpansionPanel } from &#x27;../../../shared/mat-expansion-panel&#x27;;
import { promise } from &#x27;selenium-webdriver&#x27;;

export class VotingMaterialCreationProgress {

  static get root(): ElementFinder {
    return element(by.tagName(&#x27;voting-material-creation-progress&#x27;));
  }

  static get initializeParametersPanel(): ProgressionPanel {
    return new ProgressionPanel(this.root, &#x27;INITIALIZE_PARAMETERS&#x27;);
  }

  static get sendVotersPanel(): ProgressionPanel {
    return new ProgressionPanel(this.root, &#x27;SEND_VOTERS&#x27;);
  }

  static get requestPrivateCredentialsPanel(): ProgressionPanel {
    return new ProgressionPanel(this.root, &#x27;REQUEST_PRIVATE_CREDENTIALS&#x27;);
  }
}

class ProgressionPanel {
  private expansionPanel: MatExpansionPanel;

  constructor(root: ElementFinder, id: string) {
    this.expansionPanel &#x3D; new MatExpansionPanel(root.element(by.id(id)));
  }

  get stepStucks(): promise.Promise&lt;boolean&gt; {
    return this.expansionPanel.description.element(by.className(&#x27;step_stuck&#x27;)).isPresent();
  }

  get progressInPercent(): promise.Promise&lt;string&gt; {
    return this.expansionPanel.description.element(by.className(&#x27;percent&#x27;)).getText();
  }

  get disabled(): promise.Promise&lt;boolean&gt; {
    return this.expansionPanel.disabled;
  }

  isControlComponentStuck(ccIndex: number): promise.Promise&lt;boolean&gt; {
    return this.expansionPanel.content.element(by.id(&#x60;cc_progress_${ccIndex}&#x60;)).element(by.className(&#x27;cc_stuck&#x27;))
      .isPresent();
  }

  getControlComponentProgress(ccIndex: number): promise.Promise&lt;string&gt; {
    return this.expansionPanel.content.element(by.id(&#x60;cc_progress_${ccIndex}&#x60;)).element(by.className(&#x27;percent&#x27;))
      .getText();
  }

  open(): void {
    this.expansionPanel.click();
  }
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'VotingMaterialCreationProgress.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
